Jifty::Script::ModPerl2(3)

NAME
Jifty::Script::ModPerl2 - a ModPerl2 handler for your jifty app.

SYNOPSIS
    <VirtualHost *:80>
        DocumentRoot /path/to/base/dir/of/app
        SetHandler perl-script
        PerlHandler Jifty::Script::ModPerl2
    </VirtualHost>

Not a command line script. Read --man for more info.

DESCRIPTION
This handler should be used with Apache2 and ModPerl2. It requires the DocumentRoot of its VirtualHost to be set to the base directory of your jifty application.

Here is the relevant minimal httpd.conf section:

  <VirtualHost *:80>
    DocumentRoot /path/to/base/dir/of/app
    SetHandler perl-script
    PerlHandler Jifty::Script::ModPerl2
  </VirtualHost>

It would not necessarily need to be a VirtualHost- could be a Directory, and should configure about the same.

TODO: This should be set up to serv the static files without mod_perl.

METTHODS

  handler
The mod_perl handler for the app